Subject: Re: bug#42425: 26.3.50; Compilation warnings when compiling eldoc.el under Emacs 26.3

From: João Távora <[email-masked]>
Date: Fri, 22 Jan 2021 20:22:10 +0000

Hi

The warnings are better than breaking it :-) I don't remember
the details right now, but the backward compatibility to Emacs 26.3
is held up by very fine strings with aliasing and stuff.

So make sure you read the surrounding comments and commit
messages closely before attempting anything.  I remember
documenting stuff there.

Sorry, I can't be of more help right now.
João

On Fri, Jan 22, 2021 at 7:58 PM Lars Ingebrigtsen <[email-masked]> wrote:
>
> Philipp Stephani <[email-masked]> writes:
>
> > eldoc is now a separate package that claims to support Emacs 26.3.
> > However, compiling eldoc.el results in a few warnings:
> >
> > emacs -Q -batch -l bytecomp -f batch-byte-compile eldoc.el
> >
> > In eldoc--eval-expression-setup:
> > eldoc.el:236:9:Warning: assignment to free variable
> >     ‘eldoc-documentation-strategy’
> >
> > In eldoc--supported-p:
> > eldoc.el:615:19:Warning: reference to free variable
> >     ‘eldoc-documentation-strategy’
> >
> > In eldoc--invoke-strategy:
> > eldoc.el:732:28:Warning: reference to free variable
> >     ‘eldoc-documentation-strategy’
> >
> > In end of data:
> > eldoc.el:804:1:Warning: the following functions are not known to be defined:
> >     elisp-eldoc-var-docstring, elisp-eldoc-funcall
> >
> > 1. Probably the definition of `eldoc-documentation-strategy' needs to be
> >    moved before its first use.
>
> Doing so seems easy enough, but I'm not sure how high our ambitions are
> for doing warning-free ELPA packages on older Emacs versions?  (I've
> added João to the CCs.)
>
> > 2. Probably eldoc should protect against newer Elisp functions being not
> >    yet available, as calling such functions will likely result in errors
> >    at runtime.
>
> Doesn't it do that?  What functions is it using that's not available?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
João Távora